### Function

# Gimp brush_get_spikes

since: 2.4

#### Declaration [src]

    gint
    gimp_brush_get_spikes (
      const gchar* name
    )

#### Description [src]

Gets the number of spikes for a generated brush.

This procedure gets the number of spikes for a generated brush. If called for any other type of brush, it does not succeed.

Available since: 2.4

#### Parameters

`name`

  Type: `const gchar*`

  The brush name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

The number of spikes on the brush.